Image search by file size
Closed, ResolvedPublic

Description

A user friendly option to search multimedia by file size would be nice. Very often users want only images with a high resolution. I would suggest a dropdown menu with only four choices : all (default), large, medium and icon/small (as Google Image does). This doesn't need file metadata, only the file size, which is displayed in searches.

Cenarium created this task.Dec 14 2014, 5:09 AM
Cenarium updated the task description. (Show Details)
Cenarium raised the priority of this task from to Needs Triage.
Cenarium added projects: CirrusSearch, Multimedia.
Cenarium changed Security from none to None.
Cenarium added a subscriber: Cenarium.
Aklapper triaged this task as Lowest priority.Dec 14 2014, 10:12 PM

@Cenarium: What is the current, "non user friendly" option to search multimedia by file size?

There is no search option for this at all, as far as I'm aware, so this can only be done by extracting the search results or sorting through them. What I mean by user friendly is a nice user interface, a simple to use drop down menu. In contrast, it would not be user friendly to have to type minfilesize:"2MB" or similar in the search box.

If there currently is no search at all then there should be a search at first (and as one aspect it should be user friendly). I asked because mentioning "user friendly" in the task summary felt unneeded - everything should be user friendly when possible...
As you wrote "multimedia search by file size" does that also include videos? What's the usecase for videos?

That would only be for pictures/images. I said 'multimedia' because search on wikipedia is divided between 'content pages', 'multimedia', 'everything' and 'advanced', and it should of course only be an option for a 'multimedia' search. I'll clarify the title.

Aklapper renamed this task from User friendly multimedia search by file size to Multimedia search by file size.Dec 15 2014, 12:05 AM
Cenarium renamed this task from Multimedia search by file size to Image search by file size.Dec 15 2014, 12:05 AM
Yann updated the task description. (Show Details)Apr 14 2015, 9:57 AM
Yann raised the priority of this task from Lowest to Low.
Yann added a subscriber: Yann.

This would be very useful. I raised the priority.

Yann: Do you plan to work on this? The Priority value should reflect reality but does not cause it...

Yann added a comment.Apr 14 2015, 7:02 PM

I am not developer. The priority value should match what is useful to people, contributors and readers.

[offtopic] @Yann: Everything is "useful" if you just ask the right subset of people. :) Anyway, Low and Lowest probably does not make any difference if no-one volunteers to work on this task. And for the records: https://www.mediawiki.org/wiki/Phabricator/Project_management#Setting_task_priorities

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 5:54 PM
Restricted Application added a project: Discovery. · View Herald TranscriptSep 4 2015, 5:54 PM
Restricted Application added a subscriber: Matanya. · View Herald Transcript
Deskana moved this task from Needs triage to Search on the Discovery board.Dec 5 2015, 7:06 AM
Deskana closed this task as Resolved.Nov 10 2016, 3:07 AM
Deskana assigned this task to Smalyshev.
Deskana added a subscriber: Deskana.

This was solved in T144447 and related tasks; see CirrusSearch documentation for more information. Note that this isn't actually live right now, but it should be in a couple of days after we've reindexed Commons.

Restricted Application added a project: Discovery-Search. · View Herald TranscriptNov 10 2016, 3:07 AM